POST/operations/{operationId}/refunds
PROD
https://xpay.nexigroup.com/api/phoenix-0.0/psp/api/v1/operations/{operationId}/refunds
TEST
https://xpaysandbox.nexigroup.com/api/phoenix-0.0/psp/api/v1/operations/{operationId}/refunds
Partial/total refund or cancellation based on the order status. For more information on operations, please refer to the dedicated page Operations.
PARAM HEADER
| NAME | DESCRIPTION | FORMAT | |||||||||||||||||
|
|||||||||||||||||||
PARAM PATH
| NAME | DESCRIPTION | FORMAT | |||||||
|
|||||||||
PARAM QUERY
| NAME | DESCRIPTION | FORMAT | |||||||
|
|||||||||
PARAM BODY
refundRequest
| NAME | DESCRIPTION | FORMAT | |||||||||||||||||
|
|||||||||||||||||||
RESPONSE 200
Request successfully processed - No Header for this response
BODY
| NAME | DESCRIPTION | FORMAT | ||||||||||||
|
||||||||||||||
RESPONSE 201
Created - No Header and Body for this response
RESPONSE 400
Request rejected - No Header for this response
BODY
| NAME | DESCRIPTION | FORMAT | ||||||||||||||||||||||
|
||||||||||||||||||||||||
RESPONSE 401
Unauthorized - No Header and Body for this response
RESPONSE 403
Forbidden - No Header and Body for this response
RESPONSE 404
Operation not found - No Header and Body for this response
RESPONSE 500
Internal Server Error - No Header for this response
BODY
| NAME | DESCRIPTION | FORMAT | ||||||||||||||||||||||
|
||||||||||||||||||||||||
NOTES:
- If a terminal is configured for explicit capture, any subsequent reversal via the above API must be executed using the operation identifier (operationId) generated during the capture performed via API or back office.
-
If a full refund is performed, a new operation is created within the order's "operations" object with "operationType": "REFUND" and "operationResult": "VOIDED".
If a partial refund is performed, a new operation is created within the order's "operations" object with "operationType": "REFUND" and "operationResult": "EXECUTED".
If, after a partial refund, the remaining amount is refunded, a new operation is created within the order's "operations" object with "operationType": "REFUND" and "operationResult": "REFUNDED".